#pragma once

#include "CoreMinimal.h"
#include "Presenter.h"
#include "UObject/SoftObjectPtr.h"
#include "CustomGameConnectingPresenter.generated.h"

class UUserWidget;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIPRESENTERS_API UCustomGameConnectingPresenter : public UPresenter
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftClassPtr<UUserWidget> CustomGameConnectingWidgetClass;

private:
	UFUNCTION(BlueprintCallable)
	bool ShouldUseUMGConnectingPopup() const;

public:
	UCustomGameConnectingPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UCustomGameConnectingPresenter) { return 0; }
